> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/tr/api-dokumanlari/geopard-api-isteklerine-genel-bakis/43.-sorgu-fields-i-getir.md).

# 43. Sorgu: "Fields"i getir

Kullanıcı "Alanlarını" almak için sorgu, filtrelerle birlikte `etiketler`, `farmUuid`, `fieldUuid`, `alanAdı`. Döndürülen alanlar, alan adına göre alfabetik sıradadır.&#x20;

Alan filtresi AND koşulu gibi çalışır, ör. filtrelemek mümkün `farmUuid` ve ile `fieldUuid` ve ile `etiketler` ve ile `alanAdı` tek bir sorguda veya sadece bir filtre koşulu kullanabilir veya hiçbir koşul kullanmayabilirsiniz.&#x20;

Şuna göre filtrele `alanAdı` şu şekilde çalışır `ile başlar`.&#x20;

Sayfalamayı uygulamak için sorgu parametresini kullanın `sayfaBoyutu`. Şu alanlar vardır `sonDeğerlendirilenAnahtar` ve `toplamSayı` yanıtta, burada `sonDeğerlendirilenAnahtar` filtre koşuluyla eşleşen son işlenen kaydı ifade eder ve `toplamSayı` filtreleme koşullarıyla eşleşen toplam kayıt sayısıdır.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
sorgu FilterFields {
  alanlarıAl(
    filtre: {
      farmUuid: "<placeholder_of_farm_uuid>"
      fieldUuid: "<placeholder_of_field_uuid>"
      etiketler: [{ isim: "isim1", değer: "değer1" }]
      sayfaBoyutu: 2
      sonDeğerlendirilenAnahtar: {
        SıralamaAnahtarı: "<bir_anahtar>"
        BölümAnahtarı: "<bir_anahtar>"
        EtiketDizisi: "<bir_anahtar>"
      }
      alanAdı: "Örnek"
    }
  ) {
    fields {
      uuid
      area(unit: HECTARES)
      isim
      labels {
        isim
        value
      }
      toplamSayı
    }
    sonDeğerlendirilenAnahtar {
      SıralamaAnahtarı
      BölümAnahtarı
      EtiketDizisi
    }
  }
}

```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/tr/api-dokumanlari/geopard-api-isteklerine-genel-bakis/43.-sorgu-fields-i-getir.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
